{
  "name": "frontend",
  "private": true,
  "version": "0.59.6",
  "type": "module",
  "scripts": {
    "dev": "vite --host 0.0.0.0",
    "build": "vue-tsc -b && vite build",
    "preview": "vite preview",
    "test": "vue-tsc --noEmit -p tsconfig.app.json",
    "lint": "prettier --check .",
    "format": "prettier --write ."
  },
  "dependencies": {
    "@tabler/icons-vue": "3.40.0",
    "@tailwindcss/vite": "4.2.1",
    "@vueuse/core": "14.2.1",
    "@vueuse/router": "14.2.1",
    "pinia": "3.0.4",
    "plotly.js-dist-min": "3.4.0",
    "prettier-plugin-organize-imports": "4.3.0",
    "tailwindcss": "4.2.1",
    "vue": "3.5.30",
    "vue-router": "5.0.3"
  },
  "devDependencies": {
    "@types/node": "24.12.0",
    "@types/plotly.js-dist-min": "2.3.4",
    "@vitejs/plugin-vue": "6.0.4",
    "@vue/tsconfig": "0.9.0",
    "knip": "^5.82.1",
    "prettier": "3.8.1",
    "prettier-plugin-tailwindcss": "0.7.2",
    "typescript": "5.9.3",
    "vite": "7.3.1",
    "vite-plugin-checker": "0.12.0",
    "vue-tsc": "3.2.5"
  },
  "prettier": {
    "plugins": [
      "prettier-plugin-organize-imports",
      "prettier-plugin-tailwindcss"
    ]
  },
  "knip": {
    "project": [
      "src/**/*.ts",
      "src/**/*.vue",
      "src/**/*.css"
    ]
  }
}
